import React from "react";
import { RootContainer } from "../../components/common/Container/RootContainer";
import AccessControl from "../../components/auth/AccessControl";
import { IOCDetailsContainer } from "./IOCDetailsContainer";
import { useParams } from "react-router-dom";

export function IOCDetailsAccessControl() {
  const { id } = useParams();

  return (
    <RootContainer>
      <AccessControl allowedRoles={[]}>
        <IOCDetailsContainer id={id} />
      </AccessControl>
    </RootContainer>
  );
}
